%define pypi_name ecdsa

Name:           python-ecdsa
Version:        0.18.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        ECDSA cryptographic signature library (pure python)

License:        MIT
URL:            http://github.com/warner/python-ecdsa
Source0:        https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying key),
sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%package -n     python3-%{pypi_name}
Summary:        ECDSA cryptographic signature library (pure python)
Group:          Development/Python

%description -n python3-%{pypi_name}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying key),
sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.18.0-1pclos2022
- update and rebuild for python 3.10

* Fri Oct 04 2019 tex - 0.13.2-1pclos2019
- update
